Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.technicalconnector.distributedkeys.proxy
Class DigitalSignatureServiceProxy

    java.lang.Object
      be.fgov.ehealth.technicalconnector.distributedkeys.proxy.DigitalSignatureServiceProxy

All Implemented Interfaces:
  DistributedSignerProxy

    public class DigitalSignatureServiceProxy

extends Object
implements DistributedSignerProxy

Implementation of the `DistributedSignerProxy` by using the OASIS DSS protocol for the sign method.

Constructor Summary
`DigitalSignatureServiceProxy(GenericRequest req, String profile, Map<String,List<X509Certificate>> certificates)`

Method Summary
`Set<String>` | `getAliases()` Method for obtaining all the aliases that are supported by the distributed keystore.
`List<X509Certificate>` | `getCertificateChain(String alias)` Method for obtaining the certificate chain based on the distriubted keystore and the alias.
`byte[]` | `sign(byte[] digestValue, String digestAlgo, String alias)` Method used for signing a already calculated digest.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DigitalSignatureServiceProxy

    public DigitalSignatureServiceProxy(GenericRequest req,
                                        String profile,
                                        Map<String,List<X509Certificate>> certificates)

Method Detail

### sign

    public byte[] sign(byte[] digestValue,
                       String digestAlgo,
                       String alias)
                throws SignatureException

  Description copied from interface: `DistributedSignerProxy`
  Method used for signing a already calculated digest.

  Specified by:
    `sign` in interface `DistributedSignerProxy`
  Throws:
    `SignatureException`
  See Also:
    `be.fgov.ehealth.technicalconnector.distributedkeys.proxy.DistributedSignerProxy#sign(byte[], java.lang.String, java.lang.String)`

### getAliases

    public Set<String> getAliases()

  Description copied from interface: `DistributedSignerProxy`
  Method for obtaining all the aliases that are supported by the distributed keystore.

  Specified by:
    `getAliases` in interface `DistributedSignerProxy`
  See Also:
    `be.fgov.ehealth.technicalconnector.distributedkeys.proxy.DistributedSignerProxy#getAliases()`

### getCertificateChain

    public List<X509Certificate> getCertificateChain(String alias)

  Description copied from interface: `DistributedSignerProxy`
  Method for obtaining the certificate chain based on the distriubted keystore and the alias. The first entry of the list is the actual certificate. The second entry the CA of your certificate. The third entry should be CA of the CA of you certificate. ...

  Specified by:
    `getCertificateChain` in interface `DistributedSignerProxy`
  See Also:
    `be.fgov.ehealth.technicalconnector.distributedkeys.proxy.DistributedSignerProxy#getCertificate(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.